#
# spec file for package rubygem-addressable-2_3
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-addressable-2_3
Version:        2.3.8
Release:        bp156.3.1
%define mod_name addressable
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -2_3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/sporkmonger/addressable
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        URI Implementation
License:        Apache-2.0
Group:          Development/Languages/Ruby

%description
Addressable is a replacement for the URI implementation that is part of
Ruby's standard library. It more closely conforms to the relevant RFCs and
adds support for IRIs and URI templates.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Thu May 26 2016 coolo@suse.com
- split 2.3 version for json-schema
* Wed Apr  8 2015 coolo@suse.com
- updated to version 2.3.8
  - fix warnings
  - update dependency gems
  - support for 1.8.x officially deprecated
* Fri Feb  6 2015 coolo@suse.com
- updated to version 2.3.7
  - fix scenario in which invalid URIs don't get an exception until inspected
  - handle hostnames with two adjacent periods correctly
  - upgrade of RSpec
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon Mar 24 2014 coolo@suse.com
- updated to version 2.3.6
  - normalization drops empty query string
  - better handling in template extract for missing values
  - template modifier for `'?'` now treated as optional
  - fixed issue where character class parameters were modified
  - templates can now be tested for equality
  - added `:sorted` option to normalization of query strings
  - fixed issue with normalization of hosts given in `'example.com.'` form
* Fri Jul 12 2013 coolo@suse.com
- updated to version 2.3.5
  - added Addressable::URI#empty? method
  - Addressable::URI#hostname methods now strip square brackets from IPv6 hosts
  - compatibility with Net::HTTP in Ruby 2.0.0
  - Addressable::URI#route_from should always give relative URIs
* Sat Apr 27 2013 coolo@suse.com
- updated to version 2.3.4
  - fixed issue with encoding altering its inputs
  - query string normalization now leaves ';' characters alone
  - FakeFS is detected before attempting to load unicode tables
  - additional testing to ensure frozen objects don't cause problems
* Sun Mar  3 2013 coolo@suse.com
- updated to version 2.3.3
  - fixed issue with converting common primitives during template expansion
  - fixed port encoding issue
  - removed a few warnings
  - normalize should now ignore %%2B in query strings
  - the IDNA logic should now be handled by libidn in Ruby 1.9
  - no template match should now result in nil instead of an empty MatchData
  - added license information to gemspec
* Sat Jul 28 2012 coolo@suse.com
- update to 2.3.2
  - added Addressable::URI#default_port method
  - fixed issue with Marshalling Unicode data on Windows
  - improved heuristic parsing to better handle IPv4 addresses
* Sun Jul 22 2012 coolo@suse.com
- update to 2.3.1
  - fixed missing unicode data file
  - updated Addressable::Template to use RFC 6570, level 4
  - fixed compatibility problems with some versions of Ruby
  - moved unicode tables into a data file for performance reasons
  - removing support for multiple query value notations
* Tue Jun  5 2012 cfarrell@suse.com
- license update: Apache-2.0
  Look at the LICENSE.txt file
* Sun May  6 2012 coolo@suse.com
- update to 2.2.8
  - fixed issues with dot segment removal code
  - form encoding can now handle multiple values per key
  - updated development environment
* Fri Oct  7 2011 fcastelli@suse.com
- Update to 2.2.6
* Tue May 10 2011 visnov@suse.cz
- fix license - MIT
* Tue Mar 29 2011 kkaempf@novell.com
- update to 2.2.4 (for dm-core 1.1.0)
- split off -doc subpackage
* Tue Jan 11 2011 aduffeck@novell.com
- update to version 2.2.2
  * added site methods
  * improved documentation
  * added support for application/x-www-form-urlencoded.
  * fixed issue with percent escaping of '+' character in query strings
* Thu Jun 10 2010 mrueckert@suse.de
- update to version 2.1.2
  * added HTTP request URI methods
  * better handling of Windows file paths
  * validation_deferred boolean replaced with defer_validation block
  * normalization of percent-encoded paths should now be correct
  * fixed issue with constructing URIs with relative paths
  * fixed warnings
- drop development requirements
- use rubygems_requires macro
* Mon Dec 21 2009 prusnak@suse.cz
- update to 2.1.1
* Sat Aug 29 2009 dmacvicar@novell.com
- downgrade to 2.0.2 until dm-core 0.10.0 gets released
* Sun Jul 26 2009 dmacvicar@suse.de
- update to 2.1.0
* Mon Mar 23 2009 dmacvicar@suse.de
- initial package
